Index: main/plugin-odf-sync/stylesheets/cdm11/cdmfr2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm11/cdmfr2content.xsl	(revision 41919)
+++ main/plugin-odf-sync/stylesheets/cdm11/cdmfr2content.xsl	(working copy)
@@ -167,7 +167,8 @@
 		<xsl:call-template name="program-cdmCode"/>
 		<xsl:call-template name="program-title"/>
 		<xsl:call-template name="program-mention"/>
-		<xsl:call-template name="program-speciality"/>
+		<xsl:call-template name="program-sharedWith"/>
+        <xsl:call-template name="program-speciality"/>
 		<xsl:call-template name="program-educationLevel"/>
 		<xsl:call-template name="program-degree"/>
 		<xsl:call-template name="program-jointOrgUnit"/>
Index: main/plugin-odf-sync/stylesheets/cdm11/program2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm11/program2content.xsl	(revision 41919)
+++ main/plugin-odf-sync/stylesheets/cdm11/program2content.xsl	(working copy)
@@ -301,20 +301,29 @@
 		</xsl:if>
 	</xsl:template>
 	
-	<!-- Mention -->
-	<xsl:template name="program-mention">
-        <mention type="string">
+   <!-- Mention -->
+    <xsl:template name="program-mention">
+        <mention type="string" constant="MENTION">
             <xsl:choose>
-        		<xsl:when test="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:controlled">
-        			<xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:controlled/@fieldNameCode"/>
-        		</xsl:when>
+                <xsl:when test="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:controlled">
+                    <xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:controlled/cdmfr:registeredName"/>
+                </xsl:when>
                 <xsl:when test="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:free">
                     <xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:free"/>
                 </xsl:when>
             </xsl:choose>
         </mention>
-	</xsl:template>
+    </xsl:template>
 	
+	<!-- Partagé avec -->
+    <xsl:template name="program-sharedWith">
+        <sharedWith type="string" multiple="true">
+            <xsl:for-each select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:sharedWith">
+                <item><xsl:value-of select="."/></item>
+            </xsl:for-each>
+        </sharedWith>
+    </xsl:template>
+    
 	<!-- Spécialité -->
 	<xsl:template name="program-speciality">
 		<speciality type="string"><xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:speciality/cdmfr:specialityName|/cdm:CDM/cdmfr:habilitation/cdmfr:licPro/cdmfr:specialite/cdm:text"/></speciality>
Index: main/plugin-odf-sync/stylesheets/cdm112/cdmfr2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm112/cdmfr2content.xsl	(revision 41919)
+++ main/plugin-odf-sync/stylesheets/cdm112/cdmfr2content.xsl	(working copy)
@@ -167,6 +167,7 @@
 		<xsl:call-template name="program-cdmCode"/>
 		<xsl:call-template name="program-title"/>
 		<xsl:call-template name="program-mention"/>
+		<xsl:call-template name="program-sharedWith"/>
 		<xsl:call-template name="program-speciality"/>
 		<xsl:call-template name="program-educationLevel"/>
 		<xsl:call-template name="program-degree"/>
Index: main/plugin-odf-sync/stylesheets/cdm112/program2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdm112/program2content.xsl	(revision 41919)
+++ main/plugin-odf-sync/stylesheets/cdm112/program2content.xsl	(working copy)
@@ -303,10 +303,10 @@
 	
 	<!-- Mention -->
 	<xsl:template name="program-mention">
-        <mention type="string">
+        <mention type="string" constant="MENTION">
             <xsl:choose>
                 <xsl:when test="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:controlled">
-                    <xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:controlled/@fieldNameCode"/>
+                    <xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:controlled/cdmfr:registeredName"/>
                 </xsl:when>
                 <xsl:when test="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:free">
                     <xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:free"/>
@@ -315,6 +315,15 @@
         </mention>
 	</xsl:template>
 	
+	<!-- Partagé avec -->
+    <xsl:template name="program-sharedWith">
+        <sharedWith type="string" multiple="true">
+            <xsl:for-each select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:sharedWith">
+                <item><xsl:value-of select="."/></item>
+            </xsl:for-each>
+        </sharedWith>
+    </xsl:template>
+	
 	<!-- Spécialité -->
 	<xsl:template name="program-speciality">
 		<speciality type="string"><xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:speciality/cdmfr:specialityName|/cdm:CDM/cdmfr:habilitation/cdmfr:licPro/cdmfr:specialite/cdm:text"/></speciality>
Index: main/plugin-odf-sync/stylesheets/cdmfr2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/cdmfr2content.xsl	(revision 41919)
+++ main/plugin-odf-sync/stylesheets/cdmfr2content.xsl	(working copy)
@@ -167,7 +167,8 @@
 		<xsl:call-template name="program-cdmCode"/>
 		<xsl:call-template name="program-title"/>
 		<xsl:call-template name="program-mention"/>
-		<xsl:call-template name="program-speciality"/>
+		<xsl:call-template name="program-sharedWith"/>
+        <xsl:call-template name="program-speciality"/>
 		<xsl:call-template name="program-educationLevel"/>
 		<xsl:call-template name="program-degree"/>
 		<xsl:call-template name="program-jointOrgUnit"/>
Index: main/plugin-odf-sync/stylesheets/program2content.xsl
===================================================================
--- main/plugin-odf-sync/stylesheets/program2content.xsl	(revision 41919)
+++ main/plugin-odf-sync/stylesheets/program2content.xsl	(working copy)
@@ -301,20 +301,29 @@
 		</xsl:if>
 	</xsl:template>
 	
-	<!-- Mention -->
-	<xsl:template name="program-mention">
-        <mention type="string">
+    <!-- Mention -->
+    <xsl:template name="program-mention">
+        <mention type="string" constant="MENTION">
             <xsl:choose>
-        		<xsl:when test="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:controlled">
-        			<xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:controlled/@fieldNameCode"/>
-        		</xsl:when>
+                <xsl:when test="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:controlled">
+                    <xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:controlled/cdmfr:registeredName"/>
+                </xsl:when>
                 <xsl:when test="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:free">
                     <xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:fieldName/cdmfr:free"/>
                 </xsl:when>
             </xsl:choose>
         </mention>
-	</xsl:template>
+    </xsl:template>
 	
+	<!-- Partagé avec -->
+    <xsl:template name="program-sharedWith">
+        <sharedWith type="string" multiple="true">
+            <xsl:for-each select="cdm:infoBlock[@userDefined = 'ametys-extension']/cdm:extension/ametys-cdm:sharedWith">
+                <item><xsl:value-of select="."/></item>
+            </xsl:for-each>
+        </sharedWith>
+    </xsl:template>
+    
 	<!-- Spécialité -->
 	<xsl:template name="program-speciality">
 	   <speciality type="string"><xsl:value-of select="/cdm:CDM/cdmfr:habilitation/cdmfr:field/cdmfr:speciality/cdmfr:specialityName|/cdm:CDM/cdmfr:habilitation/cdmfr:licPro/cdmfr:specialite/cdm:text"/></speciality>
